use std::fs;

fn main() {
    const PATH: &str = "cypherpunk.txt";

    let content = fs::read_to_string(PATH).expect("should have been able to read the file");

    let password: String = content
        .split("\\n")
        .filter(|line| !line.is_empty())
        .map(|line| {
            line.chars().next().unwrap().to_string() + &line.chars().last().unwrap().to_string()
        })
        .collect();

    println!("The password is: {}", password);
}
