use std::fs;

// It supports backreferences
use fancy_regex::Regex;

fn main() {
    const PATH: &str = "macDouble.txt";

    let file = fs::read_to_string(PATH).unwrap();

    let regex = Regex::new(r"\b(\w+)\s+\1\b").unwrap();

    let count = regex.find_iter(&file).count();

    println!("Found {} matches", count);
}
