use std::fs;

fn main() {
    const PATH: &str = "100days.txt";

    let content = fs::read_to_string(PATH).expect("should have been able to read the file");
    let content: Vec<u32> = content
        .split(",")
        .map(|x| x.trim().parse().unwrap())
        .collect();

    let (budget, used_money) = match content.split_first() {
        Some((budget, used)) => (budget, used.iter().sum::<u32>()),
        None => return println!("missing data bro"),
    };

    println!("Remaining money: {}", budget - used_money);
}
