use std::fs;

use regex::Regex;

fn main() {
    const PATH: &str = "independance.txt";

    let file = fs::read_to_string(PATH).unwrap();

    let regex = Regex::new(r"\b[aeiouyAEIOUYéèàùêâûîô]\w+").unwrap();

    let count = regex.find_iter(&file).count();

    println!("Found {} matches", count);
}
